package com.zcloud.fire.check.domain.gateway;

import com.zcloud.fire.check.domain.model.FireCheckRecordPointE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:10:20
 */
public interface FireCheckRecordPointGateway {

    /**
     * 新增
     */
    Boolean add(FireCheckRecordPointE fireCheckRecordPointE);

    /**
     * 修改
     */
    Boolean update(FireCheckRecordPointE fireCheckRecordPointE);

    /**
     * 删除
     */
    Boolean deletedFireCheckRecordPointById(Long id);

    Boolean deletedFireCheckRecordPointByIds(Long[] id);
}

